This agent's grant events. Decision, item, action. Never secrets. Not MCP.
GET
/v1/eventsAuthorization
AuthorizationBearer token (JWT) · headerrequiredHydra JWT. Identity is the bound agent or a Keto member human. The host is not identity.
Responses
200Recent events for the Bearer agent
eventsAuditEvent[]requiredShow propertiesHide properties
Array of
AuditEventtimestring<date-time>requiredorg_idstringrequiredagent_idstringrequireditem_idstringrequiredactionstringrequireddecisionstringrequiredAllowed:
allowdenyneed_approvalreasonstringapproval_idstring401missing or invalid Bearer
Request
curl -X GET "https://veil.nyc/v1/events" \
-H "Authorization: Bearer YOUR_TOKEN"const response = await fetch("https://veil.nyc/v1/events", {
method: "GET",
headers: {
"Authorization": "Bearer YOUR_TOKEN"
}
});import requests
response = requests.get(
"https://veil.nyc/v1/events",
headers={
"Authorization": "Bearer YOUR_TOKEN"
},
)Response
{
"events": [
{
"time": "2024-01-01T00:00:00Z",
"org_id": "string",
"agent_id": "string",
"item_id": "string",
"action": "string",
"decision": "allow",
"reason": "string",
"approval_id": "string"
}
]
}missing or invalid Bearer